//Eine Liste erstellen:
//
//DOS (Konsole unter Windows): dir /B /ON *.html > Alle.txt
//
//UNIX (Linux): ls -X *.html > Alle.txt
//
//Die Liste kann hinterher bearbeitet werden!
//

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

FILE *Input, *Lese, *Schreibe;
char In[200], Sch[200];
char datei[200];
char Buffer[1000];
char suchstring1[]="<body";
char suchstring2[]="</body";
int t;


int main(int argc, char **argv)
{
  //Eingabe auswerten:
  // html2one InputFile OutputFile
  printf("Anzahl= %i\n",argc);
  if (argc == 3)
  {
    strcpy(In,argv[1]);
    strcpy(Sch,argv[2]);
  }
  else
  {
    printf("Falsche bergabe:\n\n");
    printf("html2one Inputfile Outputfile\n");
    return EXIT_FAILURE;
  }


  Input = fopen(In,"r");
  if (Input == NULL)
  {
    printf("Konnte die Input-Datei nicht finden!\n");
    return EXIT_FAILURE;
  }

  Schreibe = fopen(Sch,"w");
  fputs("<html>\n",Schreibe);
  fputs("<body>\n",Schreibe);



  while(fgets(datei, 200, Input))
  {
    t=strlen(datei)-1;
    datei[t]='\0';
    //strncpy(datei,"\0",strlen(datei)-1);
    Lese = fopen(datei,"r");
    if (Lese == NULL)
    {
      printf("Konnte die Lese-Datei %s nicht finden!\n",datei);
      return EXIT_FAILURE;
    }

    t=1;
    while(t==1)
    {
      fgets(Buffer, 1000, Lese);
      //printf("Buffer: %s\n",Buffer);
      if (strstr(Buffer,suchstring1) != NULL)
      {
        t=0;
      }
    }
    t=1;
    while(t==1)
    {
      fgets(Buffer, 1000, Lese);
      if (strstr(Buffer,suchstring2)!=NULL)
      {
        t=0;
      } 
      else
      {
        fputs(Buffer,Schreibe);
      }
    }
    fclose(Lese);
  }


  fputs("</body>\n",Schreibe);
  fputs("</html>\n",Schreibe);

  printf("Fertig\n");
  return EXIT_SUCCESS;

}



